#ifndef CCMATH_H
#define CCMATH_H

#include "kryotools_export.h"

namespace ccmath
{
KRYOTOOLS_EXPORT void trnm(double *a,int m);
KRYOTOOLS_EXPORT void housev(double *a,double *d,double *dp,int n);
KRYOTOOLS_EXPORT int qrevec(double *ev,double *v,double *d,int m);
KRYOTOOLS_EXPORT void eigen(double *a,double *ev,int n);
KRYOTOOLS_EXPORT int minv(double *a,int n);
KRYOTOOLS_EXPORT void vmul(double *vp,double *mat,double *v,int n);
KRYOTOOLS_EXPORT void mmul(double *c,double *a,double *b,int n);
KRYOTOOLS_EXPORT void rmmult(double *rm,double *a,double *b,int n,int m,int l);
KRYOTOOLS_EXPORT int solvps(double *a,double *b,int n);
KRYOTOOLS_EXPORT int solv(double* a, double* b, int n);
}

#endif
